Bug 1337807

Summary: CVE-2016-4440 Kernel: kvm: vmx: incorrect state update leading to APIC register access [fedora-all]
Product: [Fedora] Fedora Reporter: Prasad J Pandit <ppandit>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 23CC: gansalmon, itamar, jforbes, jonathan, jwboyer, kernel-maint, madhu.chinakonda, mchehab
Target Milestone: ---Keywords: Reopened, Security, SecurityTracking
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: kernel-4.5.5-201.fc23 kernel-4.5.6-300.fc24 Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-06-18 18:50:17 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1337806    

Description Prasad J Pandit 2016-05-20 06:38:29 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Reproducers, if any, will remain confidential and never be made public, unless done so by the security team.

[bug automatically created by: add-tracking-bugs]

Comment 1 Prasad J Pandit 2016-05-20 06:38:41 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1337806,1337807

# Description of your update
notes=Security fix for CVE-2016-4440

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Josh Boyer 2016-05-20 13:15:47 UTC
Fixed on f23-rawhide in Fedora git.  F22 will need further investigation as the patch doesn't apply directly.

Comment 3 Josh Boyer 2016-05-20 13:18:06 UTC
(In reply to Josh Boyer from comment #2)
> Fixed on f23-rawhide in Fedora git.  F22 will need further investigation as
> the patch doesn't apply directly.

Looking at it more closely, the vulnerability requires Hyper-V SynIC support, which was not added until the 4.5 kernel release.  F22 is currently on 4.4.y and will remain so until EOL, therefore it is not impacted by this.

Comment 4 Fedora Update System 2016-05-24 14:21:01 UTC
kernel-4.5.5-201.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-06f1572324

Comment 5 Fedora Update System 2016-05-26 05:03:34 UTC
kernel-4.5.5-201.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-06f1572324

Comment 6 Fedora Update System 2016-06-02 11:37:44 UTC
kernel-4.5.6-300.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d9147693a3

Comment 7 Fedora Update System 2016-06-02 14:58:15 UTC
kernel-4.5.5-201.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2016-06-03 09:27:20 UTC
kernel-4.5.6-300.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d9147693a3

Comment 9 Fedora Update System 2016-06-18 18:49:56 UTC
kernel-4.5.6-300.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.